Bug 1661127 - [DOCS] should point out known issues when deploying the ServiceCatalog
Summary: [DOCS] should point out known issues when deploying the ServiceCatalog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Andrea Hoffer
QA Contact: Jian Zhang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 07:15 UTC by Jian Zhang
Modified: 2019-03-21 13:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 13:24:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jian Zhang 2018-12-20 07:15:30 UTC
Description of problem:
As we know, the Service Catalog depends on the namespace "kube-service-catalog" seriously. But, the namespace will not create by default in OCP 4.0.

Version-Release number of selected component (if applicable):
The catalog source is "svcat.v0.1.34" 

How reproducible:
always

Steps to Reproduce:
I list the whole steps to create the Service Catalog in below. Correct me if I'm wrong.
1. Create a namespace called "kube-service-catalog". 
Note that: you must use `adm`.
$oc adm create kube-service-catalog

2. Create an operatorgroup object. For example:
$ cat og-all.yaml 
apiVersion: operators.coreos.com/v1alpha2
kind: OperatorGroup
metadata:
  name: sc-operators
  namespace: kube-service-catalog
spec:
  selector: {}

$oc create -f og-all.yaml

3. Create a subscription of svcat. Like below:
$ cat svcat.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  generateName: svcat-
  namespace: kube-service-catalog
spec:
  source: rh-operators
  name: svcat
  startingCSV: svcat.v0.1.34
  channel: alpha

$oc create -f svcat.yaml

Actual results:
The users don't aware of the namespace "kube-service-catalog" is a must.

Expected results:
We should file a doc to point this so that the users can use it smoothly.
Or do something change for the deployment of the service catalog.

Additional info:

Comment 1 Jay Boyd 2019-02-26 13:38:40 UTC
Install is now done vai CVO.  Still need doc for it though.

Comment 2 Jian Zhang 2019-02-27 02:48:02 UTC
Jay,

Yes, agree. I think we should point out that no entry to create the ServiceCatalog on Web, the users have to create it manually.
I modified the title info for more readable.

Comment 4 Andrea Hoffer 2019-02-27 14:51:31 UTC
@Jay do you have any existing docs or resources on service catalog on getting set up with the service catalog on 4.0?

Comment 11 Jian Zhang 2019-03-08 02:57:35 UTC
Andrea,

LGTM, thanks!

Comment 13 Andrea Hoffer 2019-03-21 13:24:05 UTC
Moving this to CLOSED -> CURRENTRELEASE.

Also note that the release notes will point out the change in namespaces used for OCP 4 (see https://github.com/openshift/openshift-docs/pull/13726/files).


Note You need to log in before you can comment on or make changes to this bug.